Index: /palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3635)
+++ /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3636)
@@ -28,4 +28,7 @@
 ! -----------------
 ! $Id$
+! nopointer option removed
+! 
+! 3614 2018-12-10 07:05:46Z raasch
 ! unused variables removed
 ! 
@@ -393,9 +396,6 @@
 
     USE arrays_3d,                                                             &
-#if ! defined( __nopointer )
         ONLY:  hyp, zu, pt, p, u, v, w, tend, exner, hyrho, prr, q, ql, vpt
-#else
-        ONLY:  hyp,     pt,    u, v, w, tend, exner, hyrho, prr, q, ql, vpt
-#endif
+
     USE calc_mean_profile_mod,                                                 &
         ONLY:  calc_mean_profile
@@ -936,12 +936,4 @@
     END TYPE surf_type_usm
     
-#if defined( __nopointer )
-    TYPE(surf_type_usm), TARGET   ::  m_liq_usm_h,        & !< liquid water reservoir (m), horizontal surface elements 
-                                      m_liq_usm_h_p         !< progn. liquid water reservoir (m), horizontal surface elements 
-
-    TYPE(surf_type_usm), DIMENSION(0:3), TARGET   ::  &
-                                      m_liq_usm_v,        & !< liquid water reservoir (m), vertical surface elements 
-                                      m_liq_usm_v_p         !< progn. liquid water reservoir (m), vertical surface elements 
-#else
     TYPE(surf_type_usm), POINTER  ::  m_liq_usm_h,        & !< liquid water reservoir (m), horizontal surface elements 
                                       m_liq_usm_h_p         !< progn. liquid water reservoir (m), horizontal surface elements 
@@ -957,5 +949,4 @@
                                       m_liq_usm_v_1,      & !<
                                       m_liq_usm_v_2         !<
-#endif
 
     TYPE(surf_type_usm), TARGET ::  tm_liq_usm_h_m      !< liquid water reservoir tendency (m), horizontal surface elements 
@@ -1006,18 +997,4 @@
     REAL(wp), DIMENSION(:), ALLOCATABLE            :: zwn_green          !< normalized green layer depths (m)
 
-#if defined( __nopointer )
-    REAL(wp), DIMENSION(:), ALLOCATABLE, TARGET    :: t_surf_wall_h           !< wall surface temperature (K) at horizontal walls
-    REAL(wp), DIMENSION(:), ALLOCATABLE, TARGET    :: t_surf_wall_h_p         !< progn. wall surface temperature (K) at horizontal walls
-    REAL(wp), DIMENSION(:), ALLOCATABLE, TARGET    :: t_surf_window_h    !< window surface temperature (K) at horizontal walls
-    REAL(wp), DIMENSION(:), ALLOCATABLE, TARGET    :: t_surf_window_h_p  !< progn. window surface temperature (K) at horizontal walls
-    REAL(wp), DIMENSION(:), ALLOCATABLE, TARGET    :: t_surf_green_h     !< green surface temperature (K) at horizontal walls
-    REAL(wp), DIMENSION(:), ALLOCATABLE, TARGET    :: t_surf_green_h_p   !< progn. green surface temperature (K) at horizontal walls
-    TYPE(t_surf_vertical), DIMENSION(0:3), TARGET  ::  t_surf_wall_v
-    TYPE(t_surf_vertical), DIMENSION(0:3), TARGET  ::  t_surf_wall_v_p
-    TYPE(t_surf_vertical), DIMENSION(0:3), TARGET  ::  t_surf_window_v
-    TYPE(t_surf_vertical), DIMENSION(0:3), TARGET  ::  t_surf_window_v_p
-    TYPE(t_surf_vertical), DIMENSION(0:3), TARGET  ::  t_surf_green_v
-    TYPE(t_surf_vertical), DIMENSION(0:3), TARGET  ::  t_surf_green_v_p
-#else
     REAL(wp), DIMENSION(:), POINTER                :: t_surf_wall_h
     REAL(wp), DIMENSION(:), POINTER                :: t_surf_wall_h_p 
@@ -1047,6 +1024,4 @@
     TYPE(t_surf_vertical), DIMENSION(0:3), TARGET  :: t_surf_green_v_1
     TYPE(t_surf_vertical), DIMENSION(0:3), TARGET  :: t_surf_green_v_2
-    
-#endif
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -1055,31 +1030,4 @@
 !-- parameters of the land, roof and wall surfaces
 
-#if defined( __nopointer )
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_wall_h             !< Wall temperature (K)
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_wall_h_p           !< Prog. wall temperature (K)
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_window_h           !< Window temperature (K)
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_window_h_p         !< Prog. window temperature (K)
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_green_h            !< Green temperature (K)
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_green_h_p          !< Prog. green temperature (K)
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: swc_h              !< soil water content green building layer
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: swc_h_av              !< avg of soil water content green building layer
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: swc_h_p              !< Prog. soil water content green building layer
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: swc_sat_h          !< soil water content green building layer at saturation
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: swc_res_h          !< soil water content green building layer residual
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: rootfr_h           !< root fraction green green building layer
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: wilt_h             !< wilting point green building layer
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: fc_h               !< field capacity green building layer
-
-
-    TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_wall_v             !< Wall temperature (K)
-    TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_wall_v_p           !< Prog. wall temperature (K)
-    TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_window_v           !< Window temperature (K)
-    TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_window_v_p         !< Prog. window temperature (K)
-    TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_green_v            !< Green temperature (K)
-    TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_green_v_p          !< Prog. green temperature (K)
-    TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: swc_v             !< Wall swc
-    TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: swc_v_p           !< Prog. swc
-    
-#else
     REAL(wp), DIMENSION(:,:), POINTER                :: t_wall_h, t_wall_h_p
     REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_wall_h_1, t_wall_h_2
@@ -1101,5 +1049,4 @@
     TYPE(t_wall_vertical), DIMENSION(:), POINTER   :: swc_v, swc_v_p
     TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: swc_v_1, swc_v_2
-#endif
 
 !-- Surface and material parameters classes (surface_type)
@@ -1417,54 +1364,4 @@
 
 !--     allocate wall and roof temperature arrays, for horizontal walls
-#if defined( __nopointer )
-        IF ( .NOT. ALLOCATED( t_surf_wall_h ) )                                     &
-           ALLOCATE ( t_surf_wall_h(1:surf_usm_h%ns) )
-        IF ( .NOT. ALLOCATED( t_surf_wall_h_p ) )                                   &
-           ALLOCATE ( t_surf_wall_h_p(1:surf_usm_h%ns) )
-        IF ( .NOT. ALLOCATED( t_wall_h ) )                                     &           
-           ALLOCATE ( t_wall_h(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) ) 
-        IF ( .NOT. ALLOCATED( t_wall_h_p ) )                                   &           
-           ALLOCATE ( t_wall_h_p(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) )  
-        IF ( .NOT. ALLOCATED( t_surf_window_h ) )                              &
-           ALLOCATE ( t_surf_window_h(1:surf_usm_h%ns) )
-        IF ( .NOT. ALLOCATED( t_surf_window_h_p ) )                            &
-           ALLOCATE ( t_surf_window_h_p(1:surf_usm_h%ns) )
-        IF ( .NOT. ALLOCATED( t_window_h ) )                                   &           
-           ALLOCATE ( t_window_h(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) ) 
-        IF ( .NOT. ALLOCATED( t_window_h_p ) )                                 &           
-           ALLOCATE ( t_window_h_p(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) )  
-        IF ( .NOT. ALLOCATED( t_surf_green_h ) )                               &
-           ALLOCATE ( t_surf_green_h(1:surf_usm_h%ns) )
-        IF ( .NOT. ALLOCATED( t_surf_green_h_p ) )                             &
-           ALLOCATE ( t_surf_green_h_p(1:surf_usm_h%ns) )           
-        IF ( .NOT. ALLOCATED( t_green_h ) )                                    &           
-           ALLOCATE ( t_green_h(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) ) 
-        IF ( .NOT. ALLOCATED( t_green_h_p ) )                                  &           
-           ALLOCATE ( t_green_h_p(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) )  
-        IF ( .NOT. ALLOCATED( swc_h ) )                                    &           
-           ALLOCATE ( swc_h(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) )
-        IF ( .NOT. ALLOCATED( swc_sat_h ) )                                    &           
-           ALLOCATE ( swc_sat_h(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) )
-        IF ( .NOT. ALLOCATED( swc_res_h ) )                                    &           
-           ALLOCATE ( swc_res_h(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) )
-        IF ( .NOT. ALLOCATED( rootfr_h ) )                                    &           
-           ALLOCATE ( rootfr_h(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) )
-        IF ( .NOT. ALLOCATED( wilt_h ) )                                    &           
-           ALLOCATE ( wilt_h(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) )
-        IF ( .NOT. ALLOCATED( fc_h ) )                                    &           
-           ALLOCATE ( fc_h(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) ) 
-
-       IF ( .NOT. ALLOCATED( m_liq_usm_h%var_usm_1d ) )                            &
-          ALLOCATE ( m_liq_usm_h%var_usm_1d(1:surf_usm_h%ns) )
-
-!--    Horizontal surfaces
-       ALLOCATE ( m_liq_usm_h_p%var_usm_1d(1:surf_usm_h%ns)                      )
-!
-!--    Vertical surfaces
-       DO  l = 0, 3
-          ALLOCATE ( m_liq_usm_v_p(l)%var_usm_1d(1:surf_usm_v(l)%ns)                      )
-       ENDDO
-          
-#else
 !
 !--     Allocate if required. Note, in case of restarts, some of these arrays 
@@ -1529,42 +1426,6 @@
         wilt_h       => wilt_h_1
         fc_h       => fc_h_1
- 
-#endif
 
 !--     allocate wall and roof temperature arrays, for vertical walls if required
-#if defined( __nopointer )
-        DO  l = 0, 3
-           IF ( .NOT. ALLOCATED( t_surf_wall_v(l)%t ) )                             &
-              ALLOCATE ( t_surf_wall_v(l)%t(1:surf_usm_v(l)%ns) )
-           IF ( .NOT. ALLOCATED( t_surf_wall_v_p(l)%t ) )                           &
-              ALLOCATE ( t_surf_wall_v_p(l)%t(1:surf_usm_v(l)%ns) )
-           IF ( .NOT. ALLOCATED( t_wall_v(l)%t ) )                             &
-              ALLOCATE ( t_wall_v(l)%t(nzb_wall:nzt_wall+1,1:surf_usm_v(l)%ns) )
-           IF ( .NOT. ALLOCATED( t_wall_v_p(l)%t ) )                           &                 
-              ALLOCATE ( t_wall_v_p(l)%t(nzb_wall:nzt_wall+1,1:surf_usm_v(l)%ns) )
-           IF ( .NOT. ALLOCATED( t_surf_window_v(l)%t ) )                      &
-              ALLOCATE ( t_surf_window_v(l)%t(1:surf_usm_v(l)%ns) )
-           IF ( .NOT. ALLOCATED( t_surf_window_v_p(l)%t ) )                    &
-              ALLOCATE ( t_surf_window_v_p(l)%t(1:surf_usm_v(l)%ns) )
-           IF ( .NOT. ALLOCATED( t_window_v(l)%t ) )                           &
-              ALLOCATE ( t_window_v(l)%t(nzb_wall:nzt_wall+1,1:surf_usm_v(l)%ns) )
-           IF ( .NOT. ALLOCATED( t_window_v_p(l)%t ) )                         &                 
-              ALLOCATE ( t_window_v_p(l)%t(nzb_wall:nzt_wall+1,1:surf_usm_v(l)%ns) )
-           IF ( .NOT. ALLOCATED( t_green_v(l)%t ) )                            &
-              ALLOCATE ( t_green_v(l)%t(nzb_wall:nzt_wall+1,1:surf_usm_v(l)%ns) )
-           IF ( .NOT. ALLOCATED( t_green_v_p(l)%t ) )                          &                 
-              ALLOCATE ( t_green_v_p(l)%t(nzb_wall:nzt_wall+1,1:surf_usm_v(l)%ns) )
-           IF ( .NOT. ALLOCATED( t_surf_green_v(l)%t ) )                       &
-              ALLOCATE ( t_surf_green_v(l)%t(1:surf_usm_v(l)%ns) )
-           IF ( .NOT. ALLOCATED( t_surf_green_v_p(l)%t ) )                     &
-              ALLOCATE ( t_surf_green_v_p(l)%t(1:surf_usm_v(l)%ns) )
-           IF ( .NOT. ALLOCATED( m_liq_usm_v(l)%var_usm_1d ) )                 &
-             ALLOCATE ( m_liq_usm_v(l)%var_usm_1d(1:surf_usm_v(l)%ns) )
-           IF ( .NOT. ALLOCATED( swc_v(l)%t ) )                             &
-              ALLOCATE ( swc_v(l)%t(nzb_wall:nzt_wall+1,1:surf_usm_v(l)%ns) )
-           IF ( .NOT. ALLOCATED( swc_v_p(l)%t ) )                           &                 
-              ALLOCATE ( swc_v_p(l)%t(nzb_wall:nzt_wall+1,1:surf_usm_v(l)%ns) )
-        ENDDO
-#else
 !
 !--     Allocate if required. Note, in case of restarts, some of these arrays 
@@ -1615,5 +1476,4 @@
         swc_v    => swc_v_1;    swc_v_p    => swc_v_2
 
-#endif
 !
 !--     Allocate intermediate timestep arrays. For horizontal surfaces.
@@ -4059,10 +3919,4 @@
         REAL(wp)     ::  z_agl                        !< height above ground
 
-!
-!-- NOPOINTER version not implemented yet
-#if defined( __nopointer )
-    message_string = 'The urban surface module only runs with POINTER version'
-    CALL message( 'urban_surface_mod', 'PA0452', 1, 2, 0, 6, 0 )
-#endif
 
         CALL cpu_log( log_point_s(78), 'usm_init', 'start' )
@@ -5175,5 +5029,4 @@
 !--         At horizontal surfaces. Please note, t_surf_wall_h is defined on a 
 !--         different data type, but with the same dimension.
-#if ! defined( __nopointer )
             DO  m = 1, surf_usm_h%ns
                i = surf_usm_h%i(m)            
@@ -5200,5 +5053,5 @@
                ENDDO
             ENDDO
-#endif
+
 !
 !--         For the sake of correct initialization, set also q_surface. 
@@ -6416,20 +6269,4 @@
           
              CASE ( 't_surf_wall_h' )
-#if defined( __nopointer )                   
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_surf_wall_h ) )                         &
-                      ALLOCATE( t_surf_wall_h(1:surf_usm_h%ns) )
-                   READ ( 13 )  tmp_surf_wall_h
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_surf_wall_h, tmp_surf_wall_h,                  &
-                                        surf_usm_h%start_index,                &  
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else                  
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_surf_wall_h_1 ) )                       &
@@ -6446,23 +6283,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
 
              CASE ( 't_surf_wall_v(0)' )
-#if defined( __nopointer )            
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_surf_wall_v(0)%t ) )                    &
-                      ALLOCATE( t_surf_wall_v(0)%t(1:surf_usm_v(0)%ns) )
-                   READ ( 13 )  tmp_surf_wall_v(0)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_surf_wall_v(0)%t, tmp_surf_wall_v(0)%t,        &
-                                        surf_usm_v(0)%start_index,             &
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else                      
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_surf_wall_v_1(0)%t ) )                  &
@@ -6479,23 +6299,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
                       
              CASE ( 't_surf_wall_v(1)' )
-#if defined( __nopointer )        
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_surf_wall_v(1)%t ) )                    &
-                      ALLOCATE( t_surf_wall_v(1)%t(1:surf_usm_v(1)%ns) )
-                   READ ( 13 )  tmp_surf_wall_v(1)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_surf_wall_v(1)%t, tmp_surf_wall_v(1)%t,        &
-                                        surf_usm_v(1)%start_index,             & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )                 
-#else                      
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_surf_wall_v_1(1)%t ) )                  &
@@ -6512,23 +6315,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
 
              CASE ( 't_surf_wall_v(2)' )
-#if defined( __nopointer )          
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_surf_wall_v(2)%t ) )                    &
-                      ALLOCATE( t_surf_wall_v(2)%t(1:surf_usm_v(2)%ns) )
-                   READ ( 13 )  tmp_surf_wall_v(2)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_surf_wall_v(2)%t, tmp_surf_wall_v(2)%t,        &
-                                        surf_usm_v(2)%start_index,             & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else                      
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_surf_wall_v_1(2)%t ) )                  &
@@ -6545,23 +6331,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
                       
              CASE ( 't_surf_wall_v(3)' )
-#if defined( __nopointer )    
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_surf_wall_v(3)%t ) )                    &
-                      ALLOCATE( t_surf_wall_v(3)%t(1:surf_usm_v(3)%ns) )
-                   READ ( 13 )  tmp_surf_wall_v(3)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_surf_wall_v(3)%t, tmp_surf_wall_v(3)%t,        &
-                                        surf_usm_v(3)%start_index,             & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else                      
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_surf_wall_v_1(3)%t ) )                  &
@@ -6578,22 +6347,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
+
              CASE ( 't_surf_green_h' )
-#if defined( __nopointer )                   
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_surf_green_h ) )                   &
-                      ALLOCATE( t_surf_green_h(1:surf_usm_h%ns) )
-                   READ ( 13 )  tmp_surf_green_h
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_surf_green_h, tmp_surf_green_h,      &
-                                        surf_usm_h%start_index,                & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else                      
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_surf_green_h_1 ) )                 &
@@ -6610,24 +6363,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
 
              CASE ( 't_surf_green_v(0)' )
-#if defined( __nopointer )            
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_surf_green_v(0)%t ) )              &
-                      ALLOCATE( t_surf_green_v(0)%t(1:surf_usm_v(0)%ns) )
-                   READ ( 13 )  tmp_surf_green_v(0)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_surf_green_v(0)%t,                   &
-                                        tmp_surf_green_v(0)%t,                 &
-                                        surf_usm_v(0)%start_index,             & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else                      
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_surf_green_v_1(0)%t ) )            &
@@ -6645,24 +6380,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
                    
              CASE ( 't_surf_green_v(1)' )
-#if defined( __nopointer )        
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_surf_green_v(1)%t ) )              &
-                      ALLOCATE( t_surf_green_v(1)%t(1:surf_usm_v(1)%ns) )
-                   READ ( 13 )  tmp_surf_green_v(1)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_surf_green_v(1)%t,                   &
-                                        tmp_surf_green_v(1)%t,                 &
-                                        surf_usm_v(1)%start_index,             & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )                 
-#else                      
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_surf_green_v_1(1)%t ) )            &
@@ -6680,24 +6397,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
 
              CASE ( 't_surf_green_v(2)' )
-#if defined( __nopointer )          
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_surf_green_v(2)%t ) )              &
-                      ALLOCATE( t_surf_green_v(2)%t(1:surf_usm_v(2)%ns) )
-                   READ ( 13 )  tmp_surf_green_v(2)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_surf_green_v(2)%t,                   & 
-                                        tmp_surf_green_v(2)%t,                 &
-                                        surf_usm_v(2)%start_index,             & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else                      
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_surf_green_v_1(2)%t ) )            &
@@ -6715,24 +6414,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
                    
              CASE ( 't_surf_green_v(3)' )
-#if defined( __nopointer )    
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_surf_green_v(3)%t ) )              &
-                      ALLOCATE( t_surf_green_v(3)%t(1:surf_usm_v(3)%ns) )
-                   READ ( 13 )  tmp_surf_green_v(3)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_surf_green_v(3)%t,                   &
-                                        tmp_surf_green_v(3)%t,                 &
-                                        surf_usm_v(3)%start_index,             & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else                      
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_surf_green_v_1(3)%t ) )            &
@@ -6750,22 +6431,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
+
              CASE ( 't_surf_window_h' )
-#if defined( __nopointer )                   
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_surf_window_h ) )                  &
-                      ALLOCATE( t_surf_window_h(1:surf_usm_h%ns) )
-                   READ ( 13 )  tmp_surf_window_h
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_surf_window_h, tmp_surf_window_h,    &
-                                        surf_usm_h%start_index,                & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else                      
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_surf_window_h_1 ) )                &
@@ -6783,24 +6448,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
 
              CASE ( 't_surf_window_v(0)' )
-#if defined( __nopointer )            
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_surf_window_v(0)%t ) )             &
-                      ALLOCATE( t_surf_window_v(0)%t(1:surf_usm_v(0)%ns) )
-                   READ ( 13 )  tmp_surf_window_v(0)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_surf_window_v(0)%t,                  &
-                                        tmp_surf_window_v(0)%t,                &
-                                        surf_usm_v(0)%start_index,             & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else                      
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_surf_window_v_1(0)%t ) )           &
